SESSREG(1)

NOMBRE
sessreg - controla entradas utmpx/wtmpx para clientes no-init.

SINOPSIS
sessreg [-w archivo wtmpx] [-u archivo utmpx] [-L archivo lastlog] [-l nombre-línea] [-h nombre-host] [-s número-ranura] [-x archivo-Xservers] [-t archivo-ttys] [-V] [-a] [-d] nombre-usuario

DESCRIPCIÓN

Sessreg es un simple programa para controlar las entradas utmpx/wtmpx y lastlog en sesiones xdm.

Esta versión de sessreg se compila utilizando las interfaces POSIX modernas pututxline(3c), que ya no requieren las asignaciones de número-ranura, archivo-ttys ni archivo-Xservers. Para compatibilidad con versiones anteriores y otros sistemas operativos, se aceptan los indicadores -s, -t y -x, pero se ignoran.

USO

En Xstartup, escriba una orden como:

       sessreg -a -l $DISPLAY -x /etc/X11/xdm/Xservers $USER

y en Xreset:

       sessreg -d -l $DISPLAY -x /etc/X11/xdm/Xservers $USER

OPCIONES

-w fichero-wtmpx
    Esto especifica un archivo utmpx alternativo, en lugar de /var/log/wtmp. El nombre especial «none» deshabilita la escritura de registros en el archivo wtmpx.

-u fichero-utmpx
    Define un archivo utmpx alternativo, en lugar de /var/run/utmp.El nombre especial «none» deshabilita la escritura de registros en el archivo utmpx.

-L fichero-lastlog
    Define una archivo lastlog alternativo, en lugar de /var/log/lastlog, siempre que la plataforma tenga soporte para archivos lastlog. El nombre especial «none» hace que no se anoten registros en el archivo lastlog.

-l line-name
    Describe el nombre de línea (line-name) de la entrada. Para sesiones de terminal, supone el segmento final del nombre de archivo del dispositivo display que se da a la sesión de usuarios ( por ejemplo, :0). Si no se especifica un nombre, el nombre de terminal se especificará con ttyname(3) y se le quitarán los componentes precedentes.

-h nombre-host
    Esto indica que la sesión se inició desde un host remoto. En el uso típico de xdm, esta opción no se utiliza.

-s número-ranura
    Esta opción se acepta por compatibilidad, pero no tiene efecto en esta versión de sessreg.

-x archivo-Xservers
    Esta opción se acepta por compatibilidad, pero no tiene efecto en esta versión de sessreg.

-t archivo-ttys
    Esta opción se acepta por compatibilidad, pero no tiene efecto en esta versión de sessreg.

-V  Esta opción hace que el comando imprima su versión y finalice.

-a  Esta sesión debe añadirse a utmpx/wtmpx.

-d  Esta sesión debe ser eliminada de utmpx/wtmpx. Debe especificarse una de las dos opciones -a/-d.

VÉASE TAMBIÉN
xdm(1), utmpx(5), wtmpx(5)

AUTOR
Keith Packard, MIT X Consortium

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Antonio Aneiros <aneiros@ctv.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.